Ignore:
Timestamp:
Oct 6, 2018 2:15:46 PM (5 years ago)
Author:
knoop
Message:

Added proper exit code to PALM and fixed exit code handling by palmbuild and palmrun

File:
1 edited

Legend:

Unmodified
Added
Removed
  • palm/trunk/SCRIPTS/palmrun

    r3294 r3312  
    263263          done
    264264          [[ $delete_temporary_catalog = true ]]  &&  (cd; rm -rf $tempdir)
    265           printf "\n\n+++ palmrun killed \n\n"
    266        elif [[ $locat != control_c ]]
    267        then
     265          printf "\n\n+++ palmrun crashed \n\n"
     266          exit 1
     267       elif [[ $locat != normal ]]
     268       then
     269          [[ $delete_temporary_catalog = true ]]  &&  (cd; rm -rf $tempdir)
     270          printf "\n+++ palmrun killed by \"^C\" \n\n"
     271          exit 2
     272       else
    268273          printf "\n --> palmrun finished\n\n"
     274          exit 0
    269275       fi' exit
    270276
    271277
    272278    # ACTIONS IN CASE OF TERMINAL-BREAK (CONTROL-C):
    273  trap 'cd; rm -rf $tempdir
    274        printf "\n+++ palmrun killed by \"^C\" \n\n"
    275        locat=control_c
    276        exit
     279 trap 'locat=control_c
     280       exit 1
    277281      ' 2
    278282
     
    18611865       fi
    18621866
    1863        if [[ $? != 0 ]]
     1867       if [[ ${PIPESTATUS[0]} != 0 ]]
    18641868       then
    18651869   
     
    18771881    palmbuild  -v  $use_existing_sources_folder  -h $configuration_identifier  -d $run_identifier
    18781882
    1879     if [[ $? != 0 ]]
     1883    if [[ ${PIPESTATUS[0]} != 0 ]]
    18801884    then
    18811885
     
    22312235    $execute_command  <  coupling_steering
    22322236
    2233     if [[ $? != 0 ]]
     2237    if [[ ${PIPESTATUS[0]} != 0 ]]
    22342238    then
    22352239
     
    25422546                   batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} "${pathout[$i]}" ${configuration_identifier}_${run_identifier}${endout[$i]}  ${extout[$i]}
    25432547                fi
    2544                 [[ $? != 0 ]]  &&  transfer_failed=true
     2548                [[ ${PIPESTATUS[0]} != 0 ]]  &&  transfer_failed=true
    25452549
    25462550
Note: See TracChangeset for help on using the changeset viewer.